Skip to content
Start here

Get waiting room status

GET/zones/{zone_id}/waiting_rooms/{waiting_room_id}/status

Fetches the status of a configured waiting room. Response fields include:

  1. status: String indicating the status of the waiting room. The possible status are:
    • not_queueing indicates that the configured thresholds have not been met and all users are going through to the origin.
    • queueing indicates that the thresholds have been met and some users are held in the waiting room.
    • event_prequeueing indicates that an event is active and is currently prequeueing users before it starts.
    • suspended indicates that the room is suspended.
  2. event_id: String of the current event’s id if an event is active, otherwise an empty string.
  3. estimated_queued_users: Integer of the estimated number of users currently waiting in the queue.
  4. estimated_total_active_users: Integer of the estimated number of users currently active on the origin.
  5. max_estimated_time_minutes: Integer of the maximum estimated time currently presented to the users.
Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Waiting Rooms ReadWaiting Rooms Write
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
waiting_room_id: string
ReturnsExpand Collapse
result: { estimated_queued_users, estimated_total_active_users, event_id, 2 more }
estimated_queued_users: optional number
estimated_total_active_users: optional number
event_id: optional string
max_estimated_time_minutes: optional number
status: optional "event_prequeueing" or "not_queueing" or "queueing" or "suspended"
One of the following:
"event_prequeueing"
"not_queueing"
"queueing"
"suspended"

Get waiting room status

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/waiting_rooms/$WAITING_ROOM_ID/status \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "estimated_queued_users": 0,
    "estimated_total_active_users": 0,
    "event_id": "25756b2dfe6e378a06b033b670413757",
    "max_estimated_time_minutes": 0,
    "status": "queueing"
  }
}
Returns Examples
{
  "result": {
    "estimated_queued_users": 0,
    "estimated_total_active_users": 0,
    "event_id": "25756b2dfe6e378a06b033b670413757",
    "max_estimated_time_minutes": 0,
    "status": "queueing"
  }
}